summaryrefslogtreecommitdiff
path: root/Microbenchmarks/CPU-DPU/run-alloc-rank-stress.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-02-22 12:24:04 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-02-22 12:24:04 +0100
commitd7b9186a2a0285356b9aa38b84c8a7a151e48593 (patch)
tree689aab2d5fd90989b591eb16e665e9bbd3b99f86 /Microbenchmarks/CPU-DPU/run-alloc-rank-stress.sh
parentba4f965bf9b7fb9f7cd441e82f37255e3948b736 (diff)
CPU-DPU microbenchmark: switch to nanoseconds
Diffstat (limited to 'Microbenchmarks/CPU-DPU/run-alloc-rank-stress.sh')
-rwxr-xr-xMicrobenchmarks/CPU-DPU/run-alloc-rank-stress.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/Microbenchmarks/CPU-DPU/run-alloc-rank-stress.sh b/Microbenchmarks/CPU-DPU/run-alloc-rank-stress.sh
new file mode 100755
index 0000000..cf90174
--- /dev/null
+++ b/Microbenchmarks/CPU-DPU/run-alloc-rank-stress.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+mkdir -p "$(hostname)-alloc"
+
+NCORES=$(grep -c '^processor' /proc/cpuinfo)
+cleanexit() {
+ pkill -f "stress -c ${NCORES}"
+}
+
+trap cleanexit TERM INT
+
+stress -c ${NCORES} &
+
+./run-alloc-rank.sh | tee "$(hostname)-alloc/rank-stress-c${NCORES}.txt"
+
+cleanexit
+
+xz -v -9 -M 800M "$(hostname)-alloc/rank-stress-c${NCORES}.txt"